#!/bin/sh

CAMNAME="GBox"
USERNAME=""
START_TIME=4
STOPP_TIME=2
CAMID=2008
INFOFILE="ecm.info"
# end

remove_tmp () {
	rm -rf /tmp/ecm.info /tmp/pid.info /tmp/*gbox*
}

case "$1" in
	start)
	echo "[SCRIPT] $1: $CAMNAME"
	remove_tmp
	/usr/bin/dccamd &
	sleep 3
	/usr/bin/gbox &
	;;
	stop)
	echo "[SCRIPT] $1: $CAMNAME"
	kill `cat /tmp/gbox.pid 2>/dev/null` 2>/dev/null
	killall -9 gbox
	remove_tmp
	;;
	*)
	$0 stop
	exit 1
	;;
esac

exit 0
